%define name gmemusage
%define version 0.2
%define release 10

Summary: 	Graphics memory usage meter
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source: 	%{name}-%{version}.tar.bz2
Url: 		http://reality.sgi.com/raju/software/
License: 	GPL
Group: 		Monitoring
Buildrequires:	X11-devel

%description
This tool displays the bar graph describing a memory usage of processes
on the Linux box. Uses /proc filesystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%make OPTIM="$RPM_OPT_FLAGS" LIBX11DIR=-L%{_prefix}/X11R6/%{_lib}

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 gmemusage $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 644 gmemusage.1 $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=/usr/X11R6/bin/gmemusage
Name=Gmemusage
Comment=Memory usage
Icon=monitoring_section
Categories=System;Monitor;
EOF
 
%post
%{update_menus}
 
%postun          
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/X11R6/bin/*
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2-10mdv2008.1
+ Revision: 131581
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import gmemusage


* Fri Dec 23 2005 Anssi Hannula <anssi@mandriva.org> 0.2-10mdk
- %%mkrel
- fix menudir
- fix lib64 build

* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2-9mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2-7mdk
- rebuild

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-6mdk
- Fix menu entry

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-4mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-3mdk
- BM
- macros 
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- fix  group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
